org.eclipse.emf.cdo

## Interface CDOObjectHistory

- All Superinterfaces:
    CDOBranchProvider, CDOCommitHistory, CDOCommitInfoHandler, IContainer<CDOCommitInfo>, INotifier

      public interface CDOObjectHistory
      extends CDOCommitHistory

  A cache for the `commit infos` of an `object`.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitHistory

      `CDOCommitHistory.Provider<KEY,HISTORY extends CDOCommitHistory>, CDOCommitHistory.TriggerLoadElement`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitHistory

      `DEFAULT_LOAD_COUNT, EMPTY`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOObject` | `getCDOObject()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitHistory

      `getBranch, getElement, getFirstElement, getLastElement, getLoadCount, getManager, isAppendingTriggerLoadElement, isFull, isLoading, setAppendingTriggerLoadElement, setLoadCount, size, triggerLoad, triggerLoad, waitWhileLoading`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitInfoHandler

      `handleCommitInfo`

- - ### Method Detail

    - #### getCDOObject

          CDOObject getCDOObject()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html